Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188250 - VMMismatchException: org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor$IntVal@1932fda
VMMismatchException: org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
PC Linux
: P3 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 15:17 UTC by Martin Entlicher
Modified: 2010-07-03 03:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-06-30 15:17:01 UTC
This exception is thrown in JavaFX debugger when user is trying to set a primitive value in Variables window:

SEVERE [org.openide.util.RequestProcessor]: Error in RequestProcessor org.netbeans.modules.viewmodel.TreeModelNode$MyProperty$2
com.sun.jdi.VMMismatchException: org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor$IntVal@1932fda
        at com.sun.tools.jdi.MirrorImpl.validateMirrorOrNull(MirrorImpl.java:60)
        at com.sun.tools.jdi.StackFrameImpl.setValue(StackFrameImpl.java:247)
        at com.sun.javafx.jdi.FXStackFrame.setValue(FXStackFrame.java:89)
        at org.netbeans.modules.debugger.jpda.models.Local.setValue(Local.java:157)
        at org.netbeans.modules.debugger.jpda.models.AbstractVariable.setValue(AbstractVariable.java:245)
        at org.netbeans.modules.debugger.jpda.ui.models.VariablesTableModel.setValueAt(VariablesTableModel.java:248)
        at org.netbeans.spi.viewmodel.Models$DelegatingTableModel.setValueAt(Models.java:2007)
        at org.netbeans.modules.debugger.jpda.ui.models.NumericDisplayFilter.setValueAt(NumericDisplayFilter.java:140)
        at org.netbeans.spi.viewmodel.Models$CompoundTableModel.setValueAt(Models.java:1264)
        at org.netbeans.modules.debugger.jpda.ui.models.VariablesTreeModelFilter.setValueAt(VariablesTreeModelFilter.java:482)
        at org.netbeans.spi.viewmodel.Models$CompoundTableModel.setValueAt(Models.java:1264)
        at org.netbeans.modules.javafx.debugger.variablesfiltering.JavaFXVariablesTableModelFilter.setValueAt(JavaFXVariablesTableModelFilter.java:144)
        at org.netbeans.spi.viewmodel.Models$CompoundTableModel.setValueAt(Models.java:1264)
...
Comment 1 Martin Entlicher 2010-06-30 16:59:32 UTC
Field variable classes are made public for use by the JavaFX debugger module in changeset:   173711:5bdf4e15b366

We translate ArtificialMirror instances back to Mirror instances in
changeset:   173713:3aad15b9876e

http://hg.netbeans.org/main/rev/5bdf4e15b366
http://hg.netbeans.org/main/rev/3aad15b9876e
Comment 2 pgebauer 2010-07-02 13:13:16 UTC
The fix has been ported into the release691 branch.
http://hg.netbeans.org/release691/rev/92648ea7568d
http://hg.netbeans.org/release691/rev/03a5d58587c8
Comment 3 Quality Engineering 2010-07-03 03:54:54 UTC
Integrated into 'main-golden', will be available in build *201007030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3aad15b9876e
User: mentlicher@netbeans.org
Log: #188250 Do not return ArtificialMirror instances from the evaluator.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo